//
//  TrackpadScrollGestureRecognizer.swift
//  Gemini-iOS
//
//  Created by Shadowfacts on 12/16/20.
//

import UIKit

class TrackpadScrollGestureRecognizer: UIPanGestureRecognizer {

    override init(target: Any?, action: Selector?) {
        super.init(target: target, action: action)
        
        self.allowedScrollTypesMask = .all
    }
    
    override func shouldReceive(_ event: UIEvent) -> Bool {
        return event.type == .scroll
    }
    
}
